C3P0ConfigXmlUtils (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.cfg

## Class C3P0ConfigXmlUtils

- java.lang.Object
- - com.mchange.v2.c3p0.cfg.C3P0ConfigXmlUtils

-     public final class C3P0ConfigXmlUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `LINESEP`
    `static java.lang.String` | `XML_CONFIG_RSRC_PATH`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static C3P0Config` | `extractConfigFromXmlDoc(org.w3c.dom.Document doc)`
    `static C3P0Config` | `extractXmlConfigFromDefaultResource(boolean usePermissiveParser)`
    `static C3P0Config` | `extractXmlConfigFromInputStream(java.io.InputStream is, boolean usePermissiveParser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### XML_CONFIG_RSRC_PATH

          public static final java.lang.String XML_CONFIG_RSRC_PATH

      See Also:
        Constant Field Values

    - #### LINESEP

          public static final java.lang.String LINESEP

  - ### Method Detail

    - #### extractXmlConfigFromDefaultResource

          public static C3P0Config extractXmlConfigFromDefaultResource(boolean usePermissiveParser)
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### extractXmlConfigFromInputStream

          public static C3P0Config extractXmlConfigFromInputStream(java.io.InputStream is,
                                                                   boolean usePermissiveParser)
                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### extractConfigFromXmlDoc

          public static C3P0Config extractConfigFromXmlDoc(org.w3c.dom.Document doc)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`